/*
 * Copyright (c) 1991, 1993 Old Dominion University.
 * Copyright (c) 1991, 1993 University of North Carolina at Chapel Hill.
 * All rights reserved.
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation.  Old Dominion University and the University of North
 * Carolina at Chapel Hill make no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 */
 
#include <stdio.h>
#include <X11/Xproto.h>
 
/*
** The following is a datatype circular queue of sequence numbers
** the queue is used to take care of the sequence number problem within
** XTV.  Two of the operators given will not be needed by XTV, unless
** they are used for some type of debuggin purpose, or theu could be
** used to help determine the best size for the circular queue.
** The following was written by:
**              George Kantsios         kants_g@cs.odu.edu
*/



#define         MAX_SEQ_TABLE   100
 

typedef struct _entry {
        CARD16  Server_SN;
        CARD16  Tool_SN;
} Entry_;
 
 
typedef struct _circ_seq_map {
        Entry_   table[MAX_SEQ_TABLE];
        int     head;
        int     tail;
        BOOL     first;
	BOOL	MakeRoomFlag;
	CARD16  MakeRoomSeqNum;
} CircSeqMap;
